Bug 39150 - Canvas's getContext() must return null when called with an invalid/unsupported parameter
: Canvas's getContext() must return null when called with an invalid/unsupporte...
Status: CLOSED FIXED
Product: WebKit
Classification: Unclassified
Component: WebCore Misc.
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To: Nobody
:
Depends on:
Blocks: 35784
  Show dependency treegraph
 
Reported: 2010-05-14 23:22 PDT by Andreas Kling
Modified: 2010-05-18 13:52 PDT (History)
3 users (show)

See Also:


Attachments
Proposed patch (5.34 KB, patch)
2010-05-14 23:24 PDT, Andreas Kling
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Andreas Kling 2010-05-14 23:24:21 PDT
Created attachment 56142 [details]
Proposed patch
Comment 2 Kenneth Rohde Christiansen 2010-05-15 12:15:15 PDT
Comment on attachment 56142 [details]
Proposed patch

LGTM, but please add the spec link to the ChangeLog
Comment 3 Adam Barth 2010-05-15 17:59:21 PDT
Comment on attachment 56142 [details]
Proposed patch

Looks like the spec link is already in the WebCore ChangeLog.  Did you mean that it should be in the LayoutTests ChangeLog too?
Comment 4 Kenneth Rohde Christiansen 2010-05-15 18:21:54 PDT
I overlooked that, my bad. Having it both places makes sense though. Another option would be to link to it from the test itself.
Comment 5 WebKit Commit Bot 2010-05-16 00:58:58 PDT
Comment on attachment 56142 [details]
Proposed patch

Clearing flags on attachment: 56142

Committed r59569: <http://trac.webkit.org/changeset/59569>
Comment 6 WebKit Commit Bot 2010-05-16 00:59:04 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Simon Hausmann 2010-05-18 13:52:26 PDT
Revision r59569 cherry-picked into qtwebkit-2.0 with commit 14cc1d210d6f2b951f74a5906640d0db4778e9b7